| prosextract

## Function

Processes the PROSITE motif database for use by patmatmotifs

## Description

prosextract processes the PROSITE motif database for use by patmatmotifs. It reads the `prosite.dat` and `prosite.doc` files (from the Prosite distribution) from the specified directory and writes an output file (by default called `prosite.lines`) with the following information (corresponding lines from prosite.dat given in parentheses): i. Identity (`ID`). ii. Accession number (`AC`). iii. Motif pattern (`PA`). iv. The motif pattern converted a regular expression. Additionally, one output file per accession number is written containing documentation from `prosite.doc`.

## Usage

Here is a sample session with prosextract

    % prosextract
    Processes the PROSITE motif database for use by patmatmotifs
    PROSITE database directory [.]:

Go to the output files for this example

The output files named after the prosite accession numbers can now also be seen in the prosite directory. This files are automatically created after prosextract is run.

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-prositedir]        directory  PROSITE database directory

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers: (none)
       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-prositedir] (Parameter 1) | PROSITE database directory | Directory |
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

These files must be the "prosite.dat" and "prosite.doc" file of a Prosite distribution, containing all current prosite data.

## Output file format

These files are held in the prosite subdirectory of the emboss data directory. The default names are "prosite.lines" and "PS*****" (accession number documentation files)

### Output files for usage example

### Directory: PROSITE

This directory contains output files.

## Data files

See Input file format above.

## Notes

This program most be run as a prerequisite to using patmatmotifs.

## References

1. Bairoch, A., Bucher P. (1994) PROSITE: recent developments. Nucleic Acids Research, Vol 22, No.17 3583-3589.
2. Bairoch, A., (1992) PROSITE: a dictionary of sites and patterns in proteins. Nucleic Acids Research, Vol 20, Supplement, 2013-2018.
3. Peek, J., O'Reilly, T., Loukides, M., (1997) Unix Power Tools, 2nd Edition.

## Warnings

The program will warn the user if the input file is incorrectly formatted.

## Diagnostic Error Messages

As in warnings.

## Exit status

Always exits with status 0

## Known bugs

## See also

Program name | Description
--- | ---
aaindexextract | Extract amino acid property data from AAINDEX
cutgextract | Extract codon usage tables from from CUTG database
jaspextract | Extract data from JASPAR
printsextract | Extract data from PRINTS database for use by pscan
rebaseextract | Process the REBASE database for use by restriction enzyme applications
tfextract | Process TRANSFAC transcription factor database for use by tfscan

## Author(s)

Sinead O'Leary (current e-mail address unknown)
while she was at:
HGMP-RC, Genome Campus, Hinxton, Cambridge CB10 1SB, UK

## History

Completed March 24 1999.

## Target users

This program is intended to be used by administrators responsible for software and database installation and maintenance.

## Comments

None